﻿#language: ru

@carc

Функционал: 009. CARC. Приемка тары на склад

Сценарий: 009.1. CARC. Приемка тары на склад

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаПриемку" без контроля ссылок
	Дано я удаляю объекты "Документы.к2УпаковочныйЛист" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ШтрихкодыУпаковокТоваров" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ШтрихКодТворожногоСырка"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Склад с ячейкой тары' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка'
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодСинейКоробки$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодПластиковогоПалета$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$ШтрихКодТворожногоСырка$"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 009.2. CARC. Проверка распоряжения на приемку

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И в таблице "Список" я перехожу к строке:
		| 'Склад'                |
		| 'Склад с ячейкой тары' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на приемку * от *'
	И элемент формы с именем "Склад" стал равен 'Склад с ячейкой тары'
	И я перехожу к закладке "Товары"
	И таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'      | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Ячейка'  |
		| '1,000'      | 'шт'  | 'Коробка синяя'     | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014' |
		| '1,000'      | 'шт'  | 'Пластиковый палет' | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014' |
		| '10,000'     | 'шт'  | 'Творожный сырок'   | '<не используются>' | '<не используются>' | '10,000, шт'     | '0010011' |
	И элемент формы с именем "СпособСоздания" стал равен 'Терминал сбора данных'
	И Я закрываю окно 'Распоряжение на приемку * от *'
	Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 009.3. CARC. Завершение

	И Я закрыл все окна клиентского приложения